%define section   free

Name:           jaxm
Version:        1.1
Release:        2jpp
Epoch:          0
Summary:        JAXM/SAAJ

Group:          Development/Libraries/Java
License:        Sun Community Source License
URL:            http://java.sun.com/xml/jaxm
Source0:        jaxm-1_1-scsl.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.4
BuildRequires:  jakarta-commons-logging
BuildRequires:  dom4j
BuildRequires:  jaf
BuildRequires:  javamail
BuildRequires:  servletapi4
BuildRequires:  struts11
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

%description
JAXM/SAAJ API and RI

%package        demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description    demo
%{summary}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}


%prep
%setup -q -n jaxm1.1-scsl
find . -type d -exec chmod g-s {} \;


%build
find . -name "*.jar" -exec rm -f {} \;

export CLASSPATH=$(build-classpath \
commons-logging \
dom4j \
jaf \
javamail/mailapi \
servletapi4 \
struts-1.1 \
xalan-j2 \
xerces-j2 \
xml-commons-apis \
)
pushd jaxm-api
ant -Dbuild.sysclasspath=only dist
popd
cp jaxm-api/build/jaxm-api.jar jaxm-ri/lib
cp jaxm-api/build/saaj-api.jar jaxm-ri/lib
CLASSPATH=$CLASSPATH:build/classes
CLASSPATH=$CLASSPATH:../jaxm-api/build/jaxm-api.jar
CLASSPATH=$CLASSPATH:../jaxm-api/build/saaj-api.jar
pushd jaxm-ri
pushd lib
ln -sf $(build-classpath servletapi4) servlet.jar
popd
ant -Dbuild.sysclasspath=only dist
popd


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -pm 644 jaxm-api/build/jaxm-api.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxm-api-%{version}.jar
install -pm 644 jaxm-api/build/saaj-api.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/saaj-api-%{version}.jar
install -pm 644 jaxm-ri/build/jaxm/jaxm-runtime.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jaxm-runtime-%{version}.jar
install -pm 644 jaxm-ri/build/jaxm/saaj-ri.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/saaj-ri-%{version}.jar
install -pm 644 jaxm-ri/build/jaxm/provider.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/provider-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/tools
install -pm 644 jaxm-ri/dist/jaxm/jaxm-provider.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/jaxm-provider.war
install -pm 644 jaxm-ri/dist/tools/jaxm-provideradmin.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/tools/jaxm-provideradmin.war

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
install -pm 644 jaxm-ri/dist/samples/jaxm-simple.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxm-simple.war
install -pm 644 jaxm-ri/dist/samples/saaj-simple.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/saaj-simple.war
install -pm 644 jaxm-ri/dist/samples/jaxm-translator.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxm-translator.war
install -pm 644 jaxm-ri/dist/samples/jaxm-remote.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxm-remote.war
install -pm 644 jaxm-ri/dist/samples/jaxm-soaprp.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxm-soaprp.war
install -pm 644 jaxm-ri/dist/samples/jaxmtags.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxmtags.war
install -pm 644 jaxm-ri/dist/samples/jaxm-docs.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/jaxm-docs.war
install -pm 644 jaxm-api/build/jaxm-apidocs.war \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/jaxm-apidocs.war

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxm-api
cp -pr jaxm-api/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxm-api
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxm-ri
cp -pr jaxm-ri/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jaxm-api
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf jaxm-ri/build/docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
cp -pr jaxm-ri/build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
install -pm 644 JAXM_SCSL_LICENSE.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 README-API.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 SAAJ_SCSL_LICENSE.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/jaxm-provider.war
%dir %{_datadir}/%{name}-%{version}/tools
%{_datadir}/%{name}-%{version}/tools/jaxm-provideradmin.war
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/JAXM_SCSL_LICENSE.html
%{_docdir}/%{name}-%{version}/README.txt
%{_docdir}/%{name}-%{version}/README-API.txt
%{_docdir}/%{name}-%{version}/SAAJ_SCSL_LICENSE.html

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}/samples
%{_datadir}/%{name}-%{version}/jaxm-apidocs.war

%files manual
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/docs

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Dec 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-2jpp
- Add jaxm-apidocs.war to files demo
- Fix BuildRequires
- Replace struts with struts11

* Mon Dec 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
